
<h2 mat-dialog-title class="title">{{data.title}} 
  <button mat-icon-button class="close-button" [mat-dialog-close]="true" style="float: right;"> <mat-icon class="close-icon" color="warn">close</mat-icon>
  </button></h2>
<div mat-dialog-content>
  <form class="example-form col-12 float-left">
      <!-- <mat-form-field class="example-full-width col-12 col-sm-3" >
        <mat-label class="font-comp">Código</mat-label>
        <input name="codigo" cdkFocusInitial matInput placeholder="COD00" [attr.maxLength]="5" value="" class="col-l font-comp" [(ngModel)]="constante_regis.v_codigo">
      </mat-form-field>
      <mat-form-field class="example-full-width col-12 col-sm-9" >
        <mat-label class="font-comp">Nombre</mat-label>
        <input name="nombre" matInput placeholder="Ingrese nombre" [attr.maxLength]="validaServ.maxlength" value="" class="col-l font-comp" [(ngModel)]="constante_regis.v_nombre">
      </mat-form-field>

      <mat-form-field class="example-full-width col-12 col-sm-12" >
        <mat-label class="font-comp">Descripción</mat-label>
        <input name="descripcion" matInput placeholder="Ingrese descripción" [attr.maxLength]="validaServ.maxlength" value="" class="col-l font-comp" [(ngModel)]="constante_regis.v_descripcion">
      </mat-form-field> -->
  </form>
  <div class="container-fluid float-left div-table col-12" style="text-align: right;">
      <mat-form-field style="width: 350px;">
        <input matInput (keyup)="applyFilter()" placeholder="Filtrar búsqueda..." [(ngModel)]="search">
        <span matPrefix><i class="fa fa-search text-info"></i> &nbsp;</span>
      </mat-form-field>
      <button class="btn btn-sm btn-list btn-uq" matTooltip="Listar Constantes" (click)="lista_detalleConstantes()"><i class="fa fa-sync-alt"></i></button>
      <span class="example-spacer"></span>
      <button class="btn btn-sm btn-new btn-uq"  matTooltip="Agregar Constante"  (click)="editar(0,data.id)"><i class="fa fa-plus" ></i></button>
    </div>

    <div class="container-fluid float-left div-table col-12" >
        <table class="table table-fixed font-comp table-style">
          <thead>
          <tr>
            <th class="col-15 col-r" scope="col">N°</th>
            <th class="col-c col-180" scope="col">CÓDIGO</th>
            <th class="col-50 col-c" scope="col">NOMBRE</th>
            <th class="col-c col-100" scope="col">DESCRIPCIÓN</th>
            <th class="col-25 col-l" scope="col"></th>
            <th class="col-25 col-l" scope="col"></th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let regist of pageServ.dataSourceModal; let i = index" data-index="i">

            <th class="col-15 col-r">{{i + 1}}</th>
            <td class="col-l col-100">{{regist.v_codigo}} </td>
            <td class="col-l col-180">{{regist.v_nombre}} </td>
            <td class="col-l col-180">{{regist.v_descripcion}} </td>

            <td class="col-c"><i matTooltip="{{ regist.b_vigencia == 1 ? 'ACTIVO' : 'INACTIVO' }}" class="fa fa-{{ regist.b_vigencia == 1 ? 'check' : 'times' }} fa-2x text-{{ regist.b_vigencia == 1 ? 'success' : 'danger' }}"></i></td>
            <td scope="row" class="col-25 col-c">
              <a *ngIf="regist.b_vigencia == 1" class="btn btn-sm btn-danger" matTooltip="Desactivar registro" (click)="estado(regist.n_idconstante, 0)" style="margin-right: 10px;"><i class="fa fa-times"></i></a>
              <a *ngIf="regist.b_vigencia == 0" class="btn btn-sm btn-success" matTooltip="Habilitar registro" (click)="estado(regist.n_idconstante, 1)" style="margin-right: 10px;"><i class="fa fa-check" style="font-size:0.8em"></i></a>
              <a  class="btn btn-sm btn-dark" matTooltip="Editar registro" (click)="editar(regist.n_idconstante, regist.n_idsuperior)"><i class="fa fa-edit"></i></a>&nbsp;

            </td>
          </tr>
          <tr *ngIf="pageServ.dataSourceModal.length == 0" class="col-l cel-ie">
            <th colspan="6">No hay registros.</th>
          </tr>
          </tbody>
          <tfoot>
            <tr >
              <td colspan="6" class="col-r"><b>{{ pageServ.dataSourceModal.length | number }} registros</b></td>
            </tr>
          </tfoot>
        </table>
      </div>
       <div *ngIf="pageServ.dataSourceModal.length > 0" class="container-fluid d-flex justify-content-between p-2">

      <mat-paginator [length]="collectionSize" (page)="pageServ.actualizaTablaModal(dataGlobalDC, $event);"
            [pageSize]="pageServ.pageSize"
            [pageSizeOptions]="pageServ.pageSizeOptions">
      </mat-paginator>

    </div>
  <!-- <div mat-dialog-actions class="example-full-width apbtn col-12 float-left">
    <button class="btn btn-sm btn-danger btn-uq" mat-button (click)="cancelar()">Cancelar</button>
    <button class="btn btn-sm btn-reg btn-uq" mat-button (click)="guardar()" >Aceptar</button>
  </div> -->
</div>




